
Foreman - Bug #2502

User should be redirected to Signo after session expiration

05/15/2013 08:36 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Authentication   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If user was logged using Signo he should be redirected to Signo when his session expired. If Signo session expired as well user

should see some notification about it.

Associated revisions

Revision 6c563741 - 05/23/2013 08:35 AM - Marek Hulán

Fixes #2502 - session expiration updates

Signo now allows to transparently prolong user session which got

expired. Also when you now logout from Foreman you will end up in Signo

login form. This brings some code clean up and test changes and small

SSO method API change.

Revision ee1fef63 - 05/28/2013 12:05 PM - Marek Hulán

Fixes #2502 - session expiration updates

Signo now allows to transparently prolong user session which got

expired. Also when you now logout from Foreman you will end up in Signo

login form. This brings some code clean up and test changes and small

SSO method API change.

(cherry picked from commit 6c563741cb1877e5859ff124b6e895505cbfd529)

History

#1 - 05/15/2013 08:37 AM - Marek Hulán

- Status changed from New to Assigned

#2 - 05/16/2013 08:47 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

PR https://github.com/theforeman/foreman/pull/619

#3 - 05/22/2013 03:52 AM - Marek Hulán

Related BZ https://bugzilla.redhat.com/show_bug.cgi?id=965965

#4 - 05/23/2013 09:17 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6c563741cb1877e5859ff124b6e895505cbfd529.
